Skip to content
Ona Docs

ListEditors

POST/gitpod.v1.EditorService/ListEditors

Lists all available code editors, optionally filtered to those allowed in an organization.

Use this method to:

  • View supported editors
  • Get editor capabilities
  • Browse editor options
  • Check editor availability

Examples

  • List editors:

    Shows all available editors with pagination.

    pagination:
      pageSize: 20
  • List editors available to the organization:

    Shows all available editors that are allowed by the policies enforced in the organization with pagination.

    pagination:
      pageSize: 20
    filter:
      allowedByPolicy: true
Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
filter: optional object { allowedByPolicy }

filter contains the filter options for listing editors

allowedByPolicy: optional boolean

allowed_by_policy filters the response to only editors that are allowed by the policies enforced in the organization

ReturnsExpand Collapse
editors: array of Editor { id, installationInstructions, name, 5 more }

editors contains the list of editors

id: string
formatuuid
installationInstructions: string
name: string
urlTemplate: string
alias: optional string
iconUrl: optional string
shortDescription: optional string
versions: optional array of EditorVersion { version }

versions contains the list of available versions for this editor

version: string

version is the version string of the editor Examples for JetBrains: 2025.2

ListEditors

curl https://app.gitpod.io/api/gitpod.v1.EditorService/ListEditors \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "editors": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "installationInstructions": "installationInstructions",
      "name": "name",
      "urlTemplate": "urlTemplate",
      "alias": "alias",
      "iconUrl": "iconUrl",
      "shortDescription": "shortDescription",
      "versions": [
        {
          "version": "version"
        }
      ]
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}
Returns Examples
{
  "editors": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "installationInstructions": "installationInstructions",
      "name": "name",
      "urlTemplate": "urlTemplate",
      "alias": "alias",
      "iconUrl": "iconUrl",
      "shortDescription": "shortDescription",
      "versions": [
        {
          "version": "version"
        }
      ]
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}